package com.template.model.seewo;

import java.util.*;
import com.seewo.open.sdk.OpenApiParam;
import com.seewo.open.sdk.OpenApiRequest;

/**
 * seewo-open API: 批量添加或更新老师
 *
 *
 * @author auto create
 * @since 2.0.1 2023-12-19
 */
public class TeacherServiceBatchSaveOrUpdateTeacherRequest extends OpenApiRequest<TeacherServiceBatchSaveOrUpdateTeacherParam, TeacherServiceBatchSaveOrUpdateTeacherResult> {

    public TeacherServiceBatchSaveOrUpdateTeacherRequest(TeacherServiceBatchSaveOrUpdateTeacherParam param) {
        this();
        setBizModel(param);
    }

    public TeacherServiceBatchSaveOrUpdateTeacherRequest() {
        setServerUrl("https://openapi.seewo.com");
        setPath("/seewo-yunban-api/teacher-service/batch-save-or-update-teacher");
        setHttpMethod("POST");
    }

    public Class<TeacherServiceBatchSaveOrUpdateTeacherResult> getResponseClass() {
        return TeacherServiceBatchSaveOrUpdateTeacherResult.class;
    }

    public Class<TeacherServiceBatchSaveOrUpdateTeacherParam> getDomainClass() {
        return TeacherServiceBatchSaveOrUpdateTeacherParam.class;
    }
}

